# List Datasets

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List Datasets"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/datasets"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Lists all datasets in a workspace with their associated files.
Supports pagination.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"description":"List of datasets in the current page","items":{"properties":{"file_names":{"description":"List of file names associated with the dataset","items":{"type":"string"},"title":"File Names","type":"array"},"name":{"description":"Name of the dataset","title":"Dataset Name","type":"string"}},"required":["name","file_names"],"title":"Dataset","type":"object"},"title":"Dataset Items","type":"array"},"total":{"description":"Total number of datasets available","title":"Total Count","type":"integer"}},"required":["data","total"],"title":"DatasetPagination","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
